/*-- Custom Fonts Colors --*/
h1, h2, h3, h4, h5, h6, p, a, li a, span { font-family: 'Gotham', Helvetica, Arial, sans-serif; }

h1, h2 { font-weight: 400; }
h3 { font-weight: 200; }
h4, h5  { font-weight: 300; }
h6 { font-weight: 500; }
p, .page-content p, .comment-body p { font-size: 1rem; font-weight: 200; }
b, strong, em strong { font-weight: 600 !important; }

body a, a {
    color: #b0b4b8;
}

body a:hover, a:hover {
    color: #FFFFFF;
}

ul {
    padding-inline-start: 0px;
}

*::-moz-selection {
    color: #ffffff;
    background: #251677;
}

*::selection {
    color: #ffffff;
    background: #251677;
}

body {
    background-color: #113d58;
    color: rgb(255, 255, 255);
}

/*-- Menu Components --*/
.logo-area img {
    height: 80px;
    width: auto;
}

/*-- Custom Components --*/

.body, body {
    background-image: url('../img/gaseco-background.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
}

.video-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    z-index: -1;
}

.marquesina-superior {
    rotate: 0.9deg;
    margin-top: -17px;
    position: relative;
    z-index: 200;
}

.marquesina-inferior {
    rotate: 358.8deg;
    margin-top: -29px;
    position: absolute;
    z-index: 200;
    max-width: 100%;
}

.link-underline {
    text-decoration-color: #FFFFFF !important;
}

.sombras {
    box-shadow: 0 15px 45px rgb(16 30 54 / 20%);
    -webkit-box-shadow: 0 15px 45px rgb(16 30 54 / 20%);
}

.sin_sombra {
    box-shadow: 0 0px 0px rgb(16 30 54 / 00%) !important;
    -webkit-box-shadow: 0 0px 0px rgb(16 30 54 / 00%) !important;
}

.alert-header {
    background-color: #1a2531;
    border: 1px solid #17222e;;
}

.alert-header :is(h1, h2, h3, h4, h5, h6, p) {
    color: #FFF;
    font-weight: 500;
    font-size: 12px;
    letter-spacing: 0.6px;
    text-transform: uppercase;
}

.principal-menu-area {
    background-color: transparent;
}

.principal-menu-area .area-menu ul li > a {
    font-weight: 500;
    text-transform: uppercase;
}

.principal-menu-area .area-menu ul li ul li > a {
    font-weight: 500;
    text-transform: capitalize;
}

.principal-menu-area .area-menu li a:after {
    content: "";
    display: block;
}

.principal-menu-area .area-menu li a:after {
    position: relative;
    bottom: 0;
    width: 0%;
    height: 2px;
    background-color: #212121;
    -webkit-transition: all .3s ;
    -o-transition: all .3s;
    transition: all .3s ;
}

.principal-menu-area .area-menu li a:hover:after {
    width: 100%;
}

/*-- Footer --*/
.footer-area {
    background-color: #00000096;
    color: #b0b4b8;
    position: relative;
}

.footer-area .footer-izquierda, .footer-area .footer-derecha,
.footer-area .footer-derecha .footer-secondary-area {
    padding: 0;
}

.footer-area h3, .footer-area h3 span {
    font-weight: 200 !important;
    color: #FFF;
    font-size: 1.3rem;
    margin: 1rem 0rem 2rem;
}

.footer-principal-area, .footer-secondary-area,
.footer-first-column, .footer-second-column, .footer-third-column {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.footer-principal-area h3 {
    font-weight: 100 !important;
    margin-bottom: 1.2rem;
    margin-top: 1.2rem;
}

.footer-area h3::after {
    content: "";
    width: 90%;
    height: 1px;
    background-color: #626262;
    display: block;
    position: relative;
    margin-left: auto;
    margin-right: auto;
    top: 7px;
}

.footer-secondary-area {    
    margin-top: 10rem;
}

.contenido-footer ul li a {
    text-decoration: none;
    width: 100%;
    font-weight: 200;
}

.contenido-footer ul li a:hover {
    text-decoration: underline;
}

/*--- Composer Components ---*/
.vc_btn3.vc_btn3-color-orange,
.vc_btn3.vc_btn3-color-orange.vc_btn3-style-flat {
    color: #fff !important;
    background-color: #ff6600 !important;
    font-size: 1.1rem !important;
    font-weight: 500 !important;
    padding: 1rem 3rem !important;
    border-radius: 4px !important;
    border: 1px solid #b24a04 !important;
}

.vc_btn3.vc_btn3-color-orange:hover,
.vc_btn3.vc_btn3-color-orange.vc_btn3-style-flat:hover {
    background-color: #b24a04 !important;
    border: 1px solid #b24a04 !important;
}

.wpb_wrapper ul li, .product-container-info ul li,
.woocommerce-tabs .entry-content ul li {
    list-style-type: none;
    background: url('../img/white-check-full.svg') no-repeat left top;
    background-position: left 2px;
    background-size: 22px;
    padding: 0px 0 3px 30px;
    margin-left: 1rem;
}

.seguridad-area {
    margin-bottom: 40px;
}

.seguridad-area .wpb_wrapper .wpb_content_element,
.seguridad-area .wpb_content_element {
	margin-bottom: 0px !important;
}

.seguridad-area .wpb_wrapper {
    gap: 10px;
}

.seguridad-area .wpb_wrapper .wpb_content_element {
	background-color: #FFF;
	border-radius: 7px;
}

/*--
PRODUCT CUSTOM STYLES
*/

.product-container-info .variable-form .variation-title {
    margin: 0;
}

.product-container-info .variable-form .variation-buttons button {
    background-color: #FFF;
    border-radius: 4px;
    border: 3px solid #111010;
    padding: 0;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-bottom: 1rem;
    overflow: hidden;
}

.product-container-info .variable-form .variation-buttons button img {
    width: 50px;
    height: 50px;
    display: block;
}

.product-container-info .variable-form .form-buttons {
    display: flex;
    justify-content: start;
    align-items: center;
    width: 100%;
    gap: 15px;
}


.product-container-info .variable-form .form-buttons .single_add_to_cart_button {
    background-color: #556B2F;
    border-radius: 4px;
    border: 1px solid #556B2F;
    color: #FFF;
    padding: 0.7rem 1em;
    width: 100%;
    font-weight: 600;
    transition: all 0.3s ease-in-out;
}

.product-container-info .variable-form .form-buttons .single_add_to_cart_button:disabled {
    opacity: 0.2;
    transition: all 0.3s ease-in-out;
}

.product-container-info .variable-form .form-buttons .single_add_to_cart_button:hover {
    background-color: #ffffff;
    border: 1px solid #dbdbdb;
    color: #000000;
    transition: all 0.3s ease-in-out;
}

.product-container-info .quantity-alert {
    margin: 1rem 0rem;
    font-weight: 600;
}

.product-container-info .quantity-alert i {
    margin-right: 6px;
}

.product-container-info .accept-pol i {
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    font-size: 20px;
    position: absolute;
}

.product-container-info .alerta-dinamica p {
    font-size: 1rem !important;
    margin: 0;
    text-align: center;
    position: relative;
    font-weight: 600;
}

.product-container-info .alerta-dinamica {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem 1rem;
    text-transform: uppercase;;
    background-color: #556B2F;
    border-radius: 4px;
}

.product-container-info .subtotal-amount span {
    font-weight: 600;
    letter-spacing: 1px;
}

.product-container-info .ask-expert-btn, 
.product-container-info .product-share-area .share-product-btn {
    background-color: #ffffff;
    border-radius: 4px;
    border: 1px solid #c1c1c1;
    color: #000000;
    font-weight: 600;
    transition: all 0.3s ease-in-out;
}

.product-container-info .ask-expert-btn {
    width: 100%;
}

.product-container-info .product-share-area {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
}

.product-container-info .ask-expert-btn:hover,
.product-container-info .product-share-area .share-product-btn:hover {
    background-color: #556B2F;
    border: 1px solid #556B2F;
    color: #f6f6f6;
    transition: all 0.3s ease-in-out;
}

/* Estilos para el contenedor de cantidad */
.product-container-info .variable-form .quantity-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Estilos para los botones de suma y resta */
.product-container-info .variable-form .quantity-button {
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    padding: 5px 20px;
    cursor: pointer;
    font-size: 16px;
    color: #333;
    height: 48.39px;
    transition: background-color 0.3s ease;
}

.product-container-info .variable-form .quantity-button:hover {
    background-color: #939393;
    border-color: #767676;
}

.product-container-info .variable-form  .quantity .input-text,
.product-container-info .variable-form .quantity-button.minus,
.product-container-info .variable-form .quantity-button.plus {
    height: 44.39px;
}

.product-container-info .variable-form .quantity-button.minus {
    border-radius: 4px 0 0 4px;
}

.product-container-info .variable-form .quantity-button.plus {
    border-radius: 0 4px 4px 0;
}

/* Estilos para el campo de cantidad */
.product-container-info .variable-form input.qty {
    width: 50px;
    text-align: center;
    border: 1px solid #ccc;
    border-left: none;
    border-right: none;
    padding: 5px;
    font-size: 16px;
    color: #333;
}

.product-container-info .variable-form input.qty::-webkit-outer-spin-button,
.product-container-info .variable-form input.qty::-webkit-inner-spin-button {
    -webkit-appearance: none; /* Oculta las flechas en Chrome y Safari */
    margin: 0;
}

.slick-next:before, .slick-prev:before {
    font-size: 40px !important;
    color: #a6a6a6;
}

.slick-prev {
    left: -55px;
}

.slick-next {
    right: -55px;
}

.slick-slide {
    padding: 0rem 1rem;
}

/*--
PERSONAL STYLES - POST CAROUSEL
--*/
.rpc-thumbnail {
    border-radius: 20px !important;
    border: 3px solid #f7be68;
}

.rpc-thumbnail::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, 
                rgba(51, 81, 26, 0.7),  /* Verde en la parte inferior con 70% de opacidad */
                rgba(0, 128, 0, 0) 80%); /* Transparente en la parte superior */
    pointer-events: none; /* Permite que los clics pasen a través del gradiente */
    z-index: 1; /* Asegura que el gradiente esté sobre la imagen */
}

.rpc-post-title {
    font-size: 20px !important;
    text-align: left !important;
    padding-left: 2rem;
    padding-bottom: 2rem;
    position: absolute !important;
    bottom: 20px !important;
    z-index: 99;
}

/*- 
SUSCRITION FORM
-*/

/* Campo de entrada */
.footer-secondary-area .wpcf7 input[name="suscribe-field"] {
    flex: 1;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 20px;
}

.footer-secondary-area .wpcf7 input[type="submit"],
.woocommerce-area-menu .getquote-area a,
.wpb_wrapper .woodys-btn a {
    padding: 10px 20px;
    background-color: #556B2F;
    color: #FFFFFF;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    transition: background 0.3s;
    position: relative;
    overflow: hidden;
}

.woocommerce-area-menu .getquote-area a {
    width: 180px;
}

.wpb_wrapper .woodys-btn {
    display: flex;
    justify-content: center;
    align-items: center;
}

.woocommerce-area-menu .getquote-area a,
.wpb_wrapper .woodys-btn a {
    height: 50.79px;
    text-decoration: none;
    font-weight: 500;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background 0.3s;
}

.footer-secondary-area .wpcf7 input[type="submit"] {
    width: 210px;
    height: 50.79px;
}

.footer-secondary-area .wpcf7 input[type="submit"]:hover,
.woocommerce-area-menu .getquote-area a:hover,
.wpb_wrapper .woodys-btn a:hover {
    background-color: #2c3718;
    transition: background 0.3s;
}

/* Área de alertas debajo */
.footer-secondary-area .wpcf7-response-output {
    width: 100%;
    margin-top: 10px;
    padding: 10px;
    border-radius: 4px;
    font-size: 14px;
    text-align: center;
}

/* Estilos para mensajes de éxito */
.footer-secondary-area .wpcf7-response-output.wpcf7-mail-sent-ok {
    border: 1px solid #46b450;
    background-color: #e7f8e9;
    color: #246d2d;
}

/* Estilos para mensajes de error */
.footer-secondary-area .wpcf7-response-output.wpcf7-validation-errors,
.footer-secondary-area .wpcf7-response-output.wpcf7-mail-sent-ng {
    border: 1px solid #d63638;
    background-color: #fde8e8;
    color: #9d1212;
}

.footer-secondary-area .wpcf7-spinner {
    visibility: hidden;
    display: block;
    position: absolute;
    width: 250px;
}

/*-- 
MENU FOOTER
--*/
.menu-menu-footer-container ul {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 1rem 0;
    padding: 1rem 0;
    border-top: 1px solid;
    border-bottom: 1px solid;
}

.menu-menu-footer-container ul li a {
    text-transform: uppercase;
    color: #FFF;
}

.menu-menu-footer-container ul li:not(:last-child)::after {
    content: " - ";
    margin: 0 8px; /* Espaciado entre el guion y los elementos */
    color: #ffffff; /* Color del guion */
    font-weight: bold;
}

/*--
Fluent Forma
-- */

.footer-second-column .textwidget {
    width: 75%;
}

.footer-second-column .ff-el-input--content {
    width: 100%;
}

.footer-second-column  form.fluent_form_2 .wpf_has_custom_css.ff-btn-submit {
    min-width: 70%;
    margin-left: auto;
    margin-right: auto;
    background-color: #a6c441 !important;
    border-color: #a6c441 !important;
    text-transform: uppercase;
    color: #1a1a1a;
        -webkit-transition: all .3s ;
    -o-transition: all .3s;
    transition: all .3s ;
}

.footer-second-column  form.fluent_form_2 .wpf_has_custom_css.ff-btn-submit:hover {
        color: #1a1a1a;
        min-width: 75%;
}

.table-product-area thead {
	    background-color: #99C52E;
}

.video-wrap {
  position: relative;
  width: 100%;
  height: 80vh; /* puedes ajustar si quieres que sea más alto o bajo */
  overflow: hidden;
  background: transparent; /* fondo mientras carga */
  display: flex;
  justify-content: center; /* centra horizontalmente */
  align-items: start;     /* centra verticalmente */
}

.video-wrap video {
  width: 460px;
  height: 525px;
  object-fit: cover;
  display: block;
  pointer-events: none; /* evita interacción */
  border-radius: 7px;
  box-shadow: #14395b 0px 5px 15px;
}


/*-- 
RESPONSIVE CUSTOM
--*/
@media (max-width: 970.98px) {

    .footer-principal-area form {
        flex-direction: column;
    }

    .nube-carousel button {
        display: none !important;
    }

    .hombrei, .hombred {
        position: relative;
    }

    .vertical-tr1 .wpb_wrapper .vc_empty_space,
    .vertical-tr2 .wpb_wrapper .vc_empty_space {
        display: none !important;
    }

    .gray-mid .vc_column-inner {
        border-right: 0px solid gray; 
        border-left: 0px solid gray; 
    }

    .offer-table .row .t-left {
        border-right: 0px solid #5e5c5c;
        padding-right: 0px;
        padding-left: 0px;
    }

    .offer-table .row .t-rigth {
        border-left: 0px solid #5e5c5c;
        padding-right: 0px;
        padding-left: 0px;
        padding: 0 !important;
    }

    .package-section .pack2 {
        border-left: 0px solid #4b4b4b;
        border-right: 0px solid #4b4b4b;
    }

    .package-section .pack3 {
        border-right: 0px solid #4b4b4b;
    }

    .package-section .pack1, .package-section .pack4 {
        padding-bottom: 10px;
    }

    .package-section .pack2, .package-section .pack3 {
        padding-top: 10px;
    }

    .recent-post-shortcode {
        margin-bottom: 2rem;
    }

    .footer-sections .a1,
    .footer-sections .b1,
    .footer-sections .c1,
    .footer-sections .d1 {
        margin-bottom: 1rem ;
    } 
    
    .post-contenido .post-meta {
        gap: 8px;
    }
    
    .post-contenido h1 {
        text-align: center;
        padding: 0rem 1rem;
    }

    .post-contenido .image-post {
        height: auto;
    }

    .area-lista-post .post-list a:first-child .post-list-image {
        height: 200px;
    }

    .area-lista-post .post-list a:first-child .post-content h2 {
        position: relative;
        left: 0px;
        display: block;
        width: auto;
    }

    .package-card {
        padding: 1em 1rem;
    }

    .badge-ribon .vc_column-inner > .wpb_wrapper {
        padding: 3rem 1rem;
    }

    .eco-test-head {
        display: none;
    }

}